import Item from "./item.js";

class List {
  
  constructor() {
    this.handleAdd = this.handleAdd.bind(this);
    this.handleClearList = this.handleClearList.bind(this);
    this.handleRemoveItem = this.handleRemoveItem.bind(this);
    
    this.addButton = document.forms.additem.add;
    this.addButton.addEventListener("click",this.handleAdd);

    this.clearListButton = document.querySelector("#clearlist");
    this.clearListButton.addEventListener("click",this.handleClearList);

    this.form = document.forms.additem;
    this.list = document.querySelector("#list");

    this.items = [];
  }

  handleAdd(event){
    event.preventDefault();
    let summary = this.form.item.value; 
    let newItem = new Item(summary);
    newItem.addToTree(list,this.handleRemoveItem);
    this.items.push(newItem);

    
    this.form.reset();
  }

  handleClearList(){
    this.list.textContent = "";
 }

 handleRemoveItem(item){
  this.items.splice(this.items.indexOf(item),1);
 }

}

new List();
